Issue 1102 old darcs shows ignore-this junk with patches from new darcs

Title old darcs shows ignore-this junk with patches from new darcs
Priority bug Status resolved
Milestone 2.1.x Resolved in
Superseder Nosy List Serware, darcs-devel, dmitry.kurochkin, kowey, thorkilnaur
Assigned To kowey

Created on 2008-09-25.22:34:27 by simon, last changed 2010-06-15.21:48:28 by admin.

msg6138 (view) Author: simon Date: 2008-09-25.22:34:20
issue1096 dealt with patch version info and was closed. Also discussed there was
the specific issue that 
"the new, non-useful Ignore-this output is displayed in all darcs
versions, if they happen to pull a patch with this info. It seems that we
display all a patch's info, including new fields which might not be appropriate
for display. I think a given darcs version should predictably display only the
patch info fields it knows about.". 

Given that many users will have darcs < 2.1 for some time, I think this will be
a much bigger annoyance than people realise and I don't think darcs 2.1 should
go out without some kind of solution. Am I wrong ?

See issue1096 for related comments.
msg6139 (view) Author: kowey Date: 2008-09-25.22:58:19

1) darcs 2.1 will not produce ignore-this junk

2) however, the darcs that follows this will

3) so the fact that users will have darcs < 2.1 around for some time does not
influence our decisions about what to do, one way or the other

4) darcs 2.1 should probably learn to ignore junk from future darcs; this will
require a patch to the temporary release branch which will generate a conflict
with the current (un)stable branch
msg6140 (view) Author: kowey Date: 2008-09-25.23:31:35
I have a pretty clear idea what to do about this and am working on it.
msg6142 (view) Author: droundy Date: 2008-09-26.11:45:15
I'll just note my objection here.
msg6197 (view) Author: kowey Date: 2008-10-02.09:27:56
This was resolved when bugs@darcs.net stopped receiving email:
Fri Sep 26 23:01:19 BST 2008  Eric Kow <E.Y.Kow@brighton.ac.uk>
  * Resolve issue1102: recognise but do not generate patch log 'junk'.
  This is a partial rollback of the two issue27 patches below.  The patches exist
  to (a) generate patch log 'junk' and (b) hide such junk from users' view.
  Because of a feature freeze, we do not want junk generation to be part of darcs
  2.1; however, we do anticipate junk-generation being part of subsequent
  versions of darcs.  To avoid users being confused by this future junk, we only
  rollback the junk-generation part, retaining the junk-hiding part.
Date User Action Args
2008-09-25 22:34:27simoncreate
2008-09-25 22:40:15dmitry.kurochkinsetnosy: + dmitry.kurochkin
2008-09-25 22:54:25koweysettopic: + Target-2.1, - Target-2.0
nosy: droundy, kowey, dagit, simon, dmitry.kurochkin, Serware
2008-09-25 22:58:21koweysetstatus: unread -> unknown
nosy: droundy, kowey, dagit, simon, dmitry.kurochkin, Serware
messages: + msg6139
2008-09-25 23:31:37koweysetstatus: unknown -> has-patch
nosy: droundy, kowey, dagit, simon, dmitry.kurochkin, Serware
messages: + msg6140
assignedto: kowey
2008-09-26 11:45:17droundysetnosy: droundy, kowey, dagit, simon, dmitry.kurochkin, Serware
messages: + msg6142
2008-10-02 09:27:58koweysetstatus: has-patch -> resolved-in-unstable
nosy: + thorkilnaur
messages: + msg6197
2009-04-22 03:35:34twbsetstatus: resolved-in-unstable -> resolved
nosy: droundy, kowey, dagit, simon, thorkilnaur, dmitry.kurochkin, Serware
2009-08-06 18:00:37adminsetnosy: + markstos, jast, darcs-devel, zooko, mornfall, tommy, beschmi, - droundy
2009-08-06 21:12:54adminsetnosy: - beschmi
2009-08-10 21:49:10adminsetnosy: - tommy, markstos, darcs-devel, zooko, jast, mornfall
2009-08-10 23:46:36adminsetnosy: - dagit
2009-08-25 17:25:40adminsetnosy: + darcs-devel, - simon
2009-08-27 14:19:18adminsetnosy: kowey, darcs-devel, thorkilnaur, dmitry.kurochkin, Serware
2009-10-23 22:45:02adminsetnosy: + serware, - Serware
2009-10-23 23:30:42adminsetnosy: + Serware, - serware
2010-06-15 21:48:28adminsetmilestone: 2.1.x
2010-06-15 21:48:28adminsettopic: - Target-2.1